
import javax.swing.*;
import javax.swing.tree.*;
import javax.swing.event.*;
import java.awt.*;

public class Ventana extends JFrame{
   private JTree arbol;
   private JTextField campo = new JTextField();
   public Ventana(){
      
      
      Container c = getContentPane();
      c.setLayout(new BorderLayout());
      
      // Construccion del arbol
      
      DefaultMutableTreeNode asig = new DefaultMutableTreeNode("Java");
      
      DefaultMutableTreeNode tema = null;
      DefaultMutableTreeNode seccion = null;

      tema = new DefaultMutableTreeNode("Entrada/Salida. Serializacion");
      asig.add(tema);

      seccion = new DefaultMutableTreeNode("Entrada de bajo nivel orientada a bytes");
      tema.add(seccion);

      seccion = new DefaultMutableTreeNode("Entrada filtrada orientada a bytes");
      tema.add(seccion);

      seccion = new DefaultMutableTreeNode("Salida de bajo nivel orientada a bytes");
      tema.add(seccion);

      seccion = new DefaultMutableTreeNode("Salida filtrada orientada a bytes");
      tema.add(seccion);

      seccion = new DefaultMutableTreeNode("Entrada de bajo nivel orientada a caracteres");
      tema.add(seccion);

      seccion = new DefaultMutableTreeNode("Entrada filtrada orientada a caracteres");
      tema.add(seccion);

      seccion = new DefaultMutableTreeNode("Salida de bajo nivel orientada a caracteres");
      tema.add(seccion);

      seccion = new DefaultMutableTreeNode("Salida filtrada orientada a caracteres");
      tema.add(seccion);
       
      seccion = new DefaultMutableTreeNode("Serializacion");
      tema.add(seccion);

      tema = new DefaultMutableTreeNode("Interfaces graficas de usuario");
      asig.add(tema);      

      seccion = new DefaultMutableTreeNode("Programacion dirigida por eventos");
      tema.add(seccion);

      seccion = new DefaultMutableTreeNode("AWT");
      tema.add(seccion);

      seccion = new DefaultMutableTreeNode("Swing");
      tema.add(seccion);
    
      arbol = new JTree(asig);
      
      arbol.setFont(new Font("Arial",Font.BOLD,16));
      
      // Oyente de eventos
      arbol.addTreeSelectionListener(new TreeSelectionListener(){
         public void valueChanged(TreeSelectionEvent e) {
            DefaultMutableTreeNode nodo = (DefaultMutableTreeNode)
                           arbol.getLastSelectedPathComponent();

           if (nodo == null) return;

           Object nodeInfo = nodo.getUserObject();
           if (nodo.isLeaf())
             campo.setText(nodeInfo.toString());
         }
      });
      
      c.add(arbol,BorderLayout.CENTER);
      c.add(campo,BorderLayout.SOUTH);
      
      setSize(400,600);
      setVisible(true);   
   }
   public static void main(String[] args){
      new Ventana();
   }
}

