import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;

public class LnF extends JFrame{
   
   private int lnf=0;
   
   public LnF(){
      Container c = getContentPane();
      
      c.setLayout(new FlowLayout());
      
      final JButton b = new JButton("MetalLookAndFeel");
      final ButtonModel bm = b.getModel();

      System.out.println("Listado de L&F instalados: ");
      UIManager.LookAndFeelInfo[] info = UIManager.getInstalledLookAndFeels();
      
      for (int i=0; i<info.length ; i++)
         System.out.println(info[i]);
      
      // Auditor de eventos para el ButtonModel
      bm.addChangeListener( new ChangeListener(){
         public void stateChanged(ChangeEvent e){
            try{
               if (bm.isPressed()){
                  switch (lnf) {
                     case 0:
                        UIManager.setLookAndFeel("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
                        b.setText("MotifLookAndFeel");
                        lnf = 1;
                        break;
                     case 1:
                        UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");     
                        b.setText("WindowsLookAndFeel");
                        lnf = 2;
                        break;
                     case 2:
                        UIManager.setLookAndFeel("javax.swing.plaf.metal.MetalLookAndFeel");
                        b.setText("MetalLookAndFeel");
                        lnf = 0;
                        break;
                  }
                  b.updateUI();
               }
            }catch(Exception ev){
               System.out.println("Error cambiando el L&F");
            }

                        
         }
      });

      c.add(b);
      
      setSize(200,200);
      setVisible(true);   
   }
   
   public static void main(String[]  args){
      new LnF();
   }
   
}