import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;

public class Ventana extends JFrame{
   
   public Ventana(){
      Container c = getContentPane();
      
      c.setLayout(new FlowLayout());
      
      JButton b = new JButton("Pulsame");
      final ButtonModel bm = b.getModel();
      
      // Estilo Swing
      bm.addChangeListener( new ChangeListener(){
         public void stateChanged(ChangeEvent e){
            if (bm.isPressed())
               System.out.println("Capturado en stateChanged. \n");
         }
      });
      
      // Estilo AWT
      b.addMouseListener(new MouseAdapter(){
         public void mousePressed(MouseEvent e){
               System.out.println("Capturado en mousePressed. \n");
         }
      });
      
      c.add(b);  
      
      setSize(200,200);
      setVisible(true);
      
   }
   
   public static void main(String[]  args){
      new Ventana();
   }
   
}